Subject: bug#20626: Wishlist: M-x shell-command-on-rectangle-region

From: Stefan Monnier <[email-masked]>
Date: Tue, 23 Jun 2015 19:50:22 -0400

> in ‘shell-command-on-region’ to check for a rectangular region and
> insert the output accordingly, so I see no way to avoid checking for
> ‘rectangle-mark-mode’ in ‘shell-command-on-region’.

In any case checking specifically for a rectangular region is wrong.
Having a "fast-path" for the case of a simple contiguous region is fine,
but the "slow&complex" path is not just for rectangular regions:
the code should also work with a region made up of various
arbitrary chunks (there's currently no package that provides this
feature, but that's no excuse).

        Stefan